
const lib = {
    $failOnCallbackArg(object, methodName, ...methodArgs) {
        const $promise = new Promise((resolve, reject) => {
            object[methodName](...methodArgs, (error, data) => {
                if (error) reject(error)
                else resolve(data)
            })
        })

        return $promise
    },

    $ignoreResult($promiseGetter) {
        const functionForThen = result => {
            return $promiseGetter().then(() => result)
        }

        return functionForThen
    }
}

module.exports = lib